Bug 189320 - peth1 created but peth0 is needed and not created
peth1 created but peth0 is needed and not created
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-19 00:20 EDT by mah
Modified: 2008-02-26 18:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 18:04:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg after booting (13.95 KB, text/plain)
2006-04-19 00:20 EDT, mah
no flags Details

  None (edit)
Description mah 2006-04-19 00:20:10 EDT
Description of problem:
Using FC5 with xen, a required pethX device is not created and the xenbr0 bridge
is created with the wrong pethX device.


Version-Release number of selected component (if applicable):
   xen-3.0.1-4
   kernel-xen0-2.6.16-1.2080_FC5


How reproducible:
My system has two real ethernet devices, with static IP's, configured as follows:
   eth0: 192.168.2.1, physically on my LAN
   eth1: my assigned ISP address, physically connected to the ISP

Both eth devices are configured to start on boot, and this works well.

I am using firestarter as my firewall, and have configured NAT forwarding to
allow my LAN to connect to the internet. This works fine with my dom0 kernel.

When I reboot, "ifconfig -a" shows eth0, eth0, all of the vif0.X devices, all of
the vethX devices, and peth1. peth0 is not there. xenbr0 is:
xenbr0          8000.feffffffffff       no              peth1
                                                        vif0.0

The problem here is guest vm's need to be part of my LAN on eth0, not on the
internet. If I had a peth0 device I could replace it in the bridge, but the
device doesn't even get created.

If I swap the assignment of eth0 and eth1 by swapping the MAC assignments, such
that my LAN is eth1 and the internet is eth0, I end up with a peth0 and no peth1.

If I swap the assignment of eth0 and eth1 by swapping the IP's assigned, again I
end up with a peth0 device and no peth1. It seems that xen has a bias towards my
real IP as when both real interfaces are present it will only create a pethX for
the one with my ISP-assigned address.

If I disable eth1 (back to being my internet connection) from coming up at boot
time, xen creates a valid peth0 and I am able to communicate with my guest vm's
through my LAN.
Comment 1 mah 2006-04-19 00:20:10 EDT
Created attachment 127970 [details]
dmesg after booting
Comment 2 Red Hat Bugzilla 2007-07-24 19:54:12 EDT
change QA contact
Comment 3 Chris Lalancette 2008-02-26 18:04:54 EST
This report targets FC5, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks

Note You need to log in before you can comment on or make changes to this bug.